/************************************************************************
 *									*
 * (C) Copyright 2001 - Analog Devices, Inc.  All rights reserved.	*
 *									*
 * File Name: SPI_MISR.asm						*
 *									*
 * Date  : 6/22/01							*
 * Author: J.Beauchemin							*
 * Rev   : 0.0								*
 *									*
 * PURPOSE: SPI interrupt routine for the ADSP-2191			*
 *									*
 ************************************************************************/

#include <def2191.h>

/************************************************************************
 * EXTERNAL DECLARATIONS						*
 ************************************************************************/
.EXTERN Start;

/************************************************************************
 * PM Reset interrupt vector code 					*
 ************************************************************************/
.section/pm IVreset; 
  	jump Start;
  	nop; nop; nop;

/************************************************************************
 * SPI0 ISR								*
 ************************************************************************/
.section/pm IVint5;  
/* Line 33 */	ENA SR;			   /* Enable Secondary Set Of Registers */
  	AY1 = IOPG;			     /* Back Up Current IO Page */
	IOPG = SPI0_Controller_Page;

	AR = IO(RDBR0);		   /* Read SPI0 Receive Buffer Register */
    	DM(I1, M1) = AR;			/* Store Data To Memory */

	IOPG = AY1;				 /* Restore the IO Page */
	DIS SR;				 /* Revert To Primary Registers */
  	RTI;